org.hibernate.search.elasticsearch.analyzer.impl

## Class SimpleElasticsearchAnalysisDefinitionRegistryPopulator

- java.lang.Object
- - org.hibernate.search.elasticsearch.analyzer.impl.SimpleElasticsearchAnalysisDefinitionRegistryPopulator

- All Implemented Interfaces:
    ElasticsearchAnalysisDefinitionRegistryPopulator

      public class SimpleElasticsearchAnalysisDefinitionRegistryPopulator
      extends Object
      implements ElasticsearchAnalysisDefinitionRegistryPopulator

  A populator of an Elasticsearch analysis definitions provided explicitly.
  Author:
    Guillaume Smet, Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleElasticsearchAnalysisDefinitionRegistryPopulator(String analyzerName, AnalyzerDefinition analyzerDefinition, String tokenizerName, TokenizerDefinition tokenizerDefinition, Map<String,CharFilterDefinition> charFilters, Map<String,TokenFilterDefinition> tokenFilters)`
    `SimpleElasticsearchAnalysisDefinitionRegistryPopulator(String analyzerName, NormalizerDefinition normalizerDefinition, Map<String,CharFilterDefinition> charFilters, Map<String,TokenFilterDefinition> tokenFilters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `void` | `populate(ElasticsearchAnalysisDefinitionRegistry registry)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleElasticsearchAnalysisDefinitionRegistryPopulator

          public SimpleElasticsearchAnalysisDefinitionRegistryPopulator(String analyzerName,
                                                                        AnalyzerDefinition analyzerDefinition,
                                                                        String tokenizerName,
                                                                        TokenizerDefinition tokenizerDefinition,
                                                                        Map<String,CharFilterDefinition> charFilters,
                                                                        Map<String,TokenFilterDefinition> tokenFilters)

    - #### SimpleElasticsearchAnalysisDefinitionRegistryPopulator

          public SimpleElasticsearchAnalysisDefinitionRegistryPopulator(String analyzerName,
                                                                        NormalizerDefinition normalizerDefinition,
                                                                        Map<String,CharFilterDefinition> charFilters,
                                                                        Map<String,TokenFilterDefinition> tokenFilters)

  - ### Method Detail

    - #### populate

          public void populate(ElasticsearchAnalysisDefinitionRegistry registry)

      Specified by:
        `populate` in interface `ElasticsearchAnalysisDefinitionRegistryPopulator`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved